@import url('https://fonts.googleapis.com/css2?family=Google+Sans:ital,opsz,wght@0,17..18,400..700;1,17..18,400..700&display=swap');

* {
  box-sizing: border-box;
  font-family: "Google Sans", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-variation-settings: "GRAD" 0;
}

body {
  background-color: #f8f9fa;
}

.header {
  padding: 10px;
  font-size: 1.2rem;
  background-color: #6f27ea;
}

.home {
  font-size: 1.4rem;
}

.container-fluid {
  padding: 10px;
}

#big-box {
  max-width: 1400px;
  /* margin: 0 auto;
  padding: 2rem 1rem; */
  padding: .5rem;
}

.grid-container {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  /* 3 colunas padrão */
  /* gap: 1.5rem; */
  gap: .5rem;
}

.item {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

.item a {
  display: block;
  overflow: hidden;
  border-radius: 8px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.15);
  transition: transform 0.3s ease;
}

.item a:hover {
  transform: scale(1.03);
}

.item img {
  width: 100%;
  height: 500px;
  display: block;
  object-fit: cover;
}

footer {
  background-color: #343a40;
  color: white;
  text-align: center;
  /* padding: 2rem 1rem; */
  /* margin-top: 3rem; */
  padding: 10px;
  height: 120px;
}

footer a {
  color: #ffc107;
  text-decoration: none;
}

footer a:hover {
  text-decoration: underline;
}

@media (max-width: 1025px) {
  .header {
    font-size: 1.4rem;
  }

  .home {
    font-size: 1.6rem;
  }

  footer {
    padding: 5px;
    height: 140px;
  }
}

@media (max-width: 880px) {
  .grid-container {
    grid-template-columns: repeat(2, 1fr);
    /* 2 colunas entre 880px e 600px */
    gap: .2rem;
  }

  #big-box {
    padding: .2rem;
  }

}

@media (max-width: 600px) {
  .grid-container {
    grid-template-columns: 1fr;
    /* 1 coluna abaixo de 600px */
  }

  .item {
    gap: 1rem;
  }

}

@media (max-width: 576px) {
  #big-box {
    padding: 1rem 0.5rem;
  }
}